=== debian/changelog ===
genometools (1.5.3-2) unstable; urgency=low

  * Reactivate missing patch. 

 -- Sascha Steinbiss <sascha@steinbiss.name>  Fri, 05 Sep 2014 14:23:31 +0100

genometools (1.5.3-1) unstable; urgency=low

  * New upstream release.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Wed, 16 Jul 2014 20:32:19 +0100

genometools (1.5.2-4) unstable; urgency=low

  * Incorporate patches addressing type conversion errors (thanks to
    Michael Tautschnig).
    Closes: #748305

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Sat, 24 May 2014 18:57:45 +0000

genometools (1.5.2-3) unstable; urgency=low

  * Address building issues on s390x, powerpc and armhf
  * Don't use -m64 for arm64 (thanks to Logan Rosen) 
    Closes: #748708
  * Build-depend on docbook-xsl to fix FTBFS while offline (thanks to
    Logan Rosen)
    Closes: #748709

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Mon, 19 May 2014 23:06:34 +0000

genometools (1.5.2-2) unstable; urgency=low

  * Split manuals into separate documents to avoid strange LaTeX build issues. 

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Thu, 15 May 2014 23:23:20 +0000

genometools (1.5.2-1) unstable; urgency=low

  * New upstream release.
  * Remove symbols file because private symbols are exported (next upstream
    version will properly control exported symbols and a new symbols file
    will be created and maintained)
  * Remove manpages from debian directory as they are now autogenerated on
    build
  * Fix some missing symbols problems 

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Thu, 15 May 2014 10:51:41 +0000

genometools (1.5.1-3) unstable; urgency=low

  * debian/rules
     - Add basic tests to check whether cairo/pango linking works
     - Clean up indices created by tests to make repeated builds possible
     - Make sure bin/examples/sketch_parsed_with_* are built
     - Enable compiler optimization
  * debian/control
     - Move libgenometools0 package into libs section
     - Switch pango deps to new package
     - Add ruby builddep, required for the testsuite

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Wed, 06 Nov 2013 14:28:41 +0100
