=== debian/control ===
Source: genometools
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sascha Steinbiss <sascha@steinbiss.name>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               liblua5.1-0-dev,
               lua-md5-dev,
               lua-filesystem-dev,
               lua-lpeg-dev,
               libcairo2-dev,
               zlib1g-dev,
               libbz2-dev,
               libexpat1-dev,
               libncurses5-dev,
               libsqlite3-dev,
               libbam-dev,
               libpango1.0-dev,
               libtre-dev,
               texlive-latex-base,
               texlive-latex-extra,
               texlive-fonts-extra,
               latex-xcolor,
               texlive-fonts-recommended,
               python,
               asciidoc,
               libxml2-utils,
               xsltproc,
               ruby,
               docbook-xsl
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/genometools/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/genometools/trunk/
Homepage: http://genometools.org

Package: genometools
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         genometools-common
Description: versatile genome analysis toolkit
 The GenomeTools contains a collection of useful tools for biological
 sequence analysis and -presentation combined into a single binary.
 .
 The toolkit contains binaries for sequence and annotation handling, sequence
 compression, index structure generation and access, annotation visualization,
 and much more.

Package: genometools-common
Architecture: all
Depends: ${misc:Depends},
         liblua5.1-0,
         libcairo2,
         zlib1g,
         libbz2-1.0,
         libexpat1,
         libpth20,
         libncurses5,
         libsqlite3-0,
         libpango-1.0-0,
         libpangocairo-1.0-0,
         libtre5
Description: shared data files for GenomeTools
 This package contains configuration files such as alphabet
 transformations, style files, etc. required to use the GenomeTools
 executable and/or library.

Package: libgenometools0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         genometools-common
Description: versatile genome analysis library
 This package contains the GenomeTools shared library and header
 files. It offers efficient sequence analysis components, available
 via an object-oriented interface.
 .
 Besides basic bioinformatics data structures, the library contains components
 for sequence and annotation handling, sequence compression, index structure
 generation and access, efficient matching, annotation visualization and much
 more.

Package: libgenometools0-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgenometools0 (= ${binary:Version})
Description: development files for GenomeTools
 This package contains the GenomeTools static library and necessary
 header files.
 .
 Besides basic bioinformatics data structures, the library contains components
 for sequence and annotation handling, sequence compression, index structure
 generation and access, efficient matching, annotation visualization and much
 more.

Package: genometools-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: documentation for GenomeTools
 This package contains API documentation and tool documentation for
 GenomeTools. The GenomeTools toolkit contains binaries for sequence and
 annotation handling, sequence compression, index structure generation and
 access, annotation visualization, and much more.

Package: genometools-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends},
         ${misc:Depends},
         genometools (= ${binary:Version}) | libgenometools0 (= ${binary:Version})
Description: versatile genome analysis toolkit, with debug symbols
 This package contains debug information stripped from the GenomeTools.
 You may decide to install it to help identifying issues, typically
 to help communication with upstream developers.

Package: python-genometools
Architecture: any
Section: python
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         python-ctypes,
         libgenometools0
Description: Python bindings for genometools
 Partial Python2 bindings for the GenomeTools library. Besides basic
 bioinformatics data structures, the library contains components for sequence
 and annotation handling, sequence compression, index structure generation and
 access, efficient matching, annotation visualization and much more.
