## genometools 1.5.5

=== Makefile ===
--- 
+++ 
@@ -25,11 +25,14 @@
             -I$(CURDIR)/src/external/expat-2.0.1/lib \
             -I$(CURDIR)/src/external/bzip2-1.0.6 \
             -I$(CURDIR)/src/external/samtools-0.1.18 \
-            -I$(CURDIR)/src/external/sqlite-3.8.0.1 \
+            -I$(CURDIR)/src/external/sqlite-3.8.7.1 \
             -I$(CURDIR)/src/external/tre/include/tre
 
 ifeq ($(shell pkg-config --version > /dev/null 2> /dev/null; echo $$?),0)
   HAS_PKGCONFIG:=yes
+  # Fix for Mac OS X manual building with Homebrew
+  OLD_PKG_CONFIG_PATH:=$(PKG_CONFIG_PATH)
+  OVERRIDE_PC_PATH:=PKG_CONFIG_PATH=$(OLD_PKG_CONFIG_PATH):/usr/local/lib/pkgconfig:/opt/X11/lib/pkgconfig
 else
   HAS_PKGCONFIG:=no
 endif
@@ -38,10 +41,10 @@
   # XXX: check for existence of packages, and emit warning and disable cairo
   # if packages are not available
   ifeq ($(HAS_PKGCONFIG),yes)
-	INCLUDEOPT+=$(shell pkg-config --silence-errors --cflags-only-I pango) \
-	            $(shell pkg-config --silence-errors --cflags-only-I cairo) \
-	            $(shell pkg-config --silence-errors --cflags-only-I pangocairo) \
-	            $(shell pkg-config --silence-errors --cflags-only-I glib-2.0)
+	INCLUDEOPT+=$(shell $(OVERRIDE_PC_PATH) pkg-config --silence-errors --cflags-only-I pango) \
+	            $(shell $(OVERRIDE_PC_PATH) pkg-config --silence-errors --cflags-only-I cairo) \
+	            $(shell $(OVERRIDE_PC_PATH) pkg-config --silence-errors --cflags-only-I pangocairo) \
+	            $(shell $(OVERRIDE_PC_PATH) pkg-config --silence-errors --cflags-only-I glib-2.0)
   endif
 endif
 
@@ -97,7 +100,7 @@
   endif
   # these tests are disabled for now on Mac
   TEST_KEYWORDS:=-keywords \
-		'not gt_python and not gt_ruby and not gt_sketch and not gt_seqlensort'
+		'not gt_ruby and not gt_sketch and not gt_seqlensort'
 else
   SHARED_OBJ_NAME_EXT:=.so
   SHARED:=-shared
@@ -151,7 +154,7 @@
 LIBBZ2_OBJ:=$(LIBBZ2_SRC:%.c=obj/%.o)
 LIBBZ2_DEP:=$(LIBBZ2_SRC:%.c=obj/%.d)
 
-SQLITE3_DIR:=src/external/sqlite-3.8.2
+SQLITE3_DIR:=src/external/sqlite-3.8.7.1
 SQLITE3_SRC:=$(SQLITE3_DIR)/sqlite3.c
 SQLITE3_OBJ:=$(SQLITE3_SRC:%.c=obj/%.o)
 SQLITE3_DEP:=$(SQLITE3_SRC:%.c=obj/%.d)
@@ -266,12 +269,28 @@
   STEST_FLAGS += -memcheck
 endif
 
+ifeq ($(64bit),yes)
+  ifeq ($(32bit),yes)
+    $(error Variables set contradictory: 64bit/32bit)
+  endif
+endif
+
+ifeq ($(64bit),no)
+  ifeq ($(32bit),no)
+    $(error Variables set contradictory: 64bit/32bit)
+  endif
+endif
+
 # system specific stuff (concerning 64bit compilation)
 ifeq ($(SYSTEM),Darwin)
-  ifeq ($(64bit),yes)
-    m64=yes
+  ifeq ($(64bit),no)
+    m32=yes
   else
-    m32=yes
+    ifeq ($(32bit),yes)
+      m32=yes
+    else
+      m64=yes
+    endif
   endif
 endif
 
@@ -287,17 +306,24 @@
   EXP_CPPFLAGS += -DLUA_USE_MKSTEMP
 endif
 
-ifeq ($(64bit),yes)
-  ifneq ($(MACHINE),x86_64)
-    m64=yes
-  endif
-  BIT=64bit
-  SPLINTD:=-D_LP64
-else
+ifeq ($(64bit),no)
   ifeq ($(MACHINE),x86_64)
     m32=yes
   endif
   BIT=32bit
+else
+  ifeq ($(32bit),yes)
+    ifeq ($(MACHINE),x86_64)
+      m32=yes
+    endif
+    BIT=32bit
+  else
+    ifneq ($(MACHINE),x86_64)
+      m64=yes
+    endif
+    BIT=64bit
+    SPLINTD:=-D_LP64
+  endif
 endif
 
 ifeq ($(m32),yes)
@@ -307,7 +333,7 @@
 endif
 
 ifeq ($(m64),yes)
-  ifeq (,$(filter $(MACHINE),ia64 alpha mips64 mips64el))
+  ifeq (,$(filter $(MACHINE),ia64 alpha mips64 mips64el aarch64))
     GT_CFLAGS += -m64
     GT_LDFLAGS += -m64
     SQLITE_CFLAGS += -m64
@@ -351,23 +377,8 @@
   endif
   ifeq ($(HAS_PKGCONFIG),yes)
     GTSHAREDLIB_LIBDEP:= $(GTSHAREDLIB_LIBDEP) \
-                         $(shell pkg-config --silence-errors --libs pango) \
-                         $(shell pkg-config --silence-errors --libs cairo) \
-                         $(shell pkg-config --silence-errors --libs pangocairo)
+                         $(shell $(OVERRIDE_PC_PATH) pkg-config --silence-errors --libs pango) \
+                         $(shell $(OVERRIDE_PC_PATH) pkg-config --silence-errors --libs cairo) \
+                         $(shell $(OVERRIDE_PC_PATH) pkg-config --silence-errors --libs pangocairo)
     EXP_LDLIBS:=$(EXP_LDLIBS) \
-                $(shell pkg-config --silence-errors --libs pango) \
-                $(shell pkg-config --silence-errors --libs cairo) \
-                $(shell pkg-config --silence-errors --libs pangocairo)
-  endif
-  ANNOTATIONSKETCH_EXAMPLES := bin/examples/sketch_constructed \
-                               bin/examples/sketch_parsed_with_ctrack \
-                               bin/examples/sketch_parsed_with_ordering \
-                               bin/examples/sketch_parsed
-  ANNOTATIONSKETCH_MANUAL := doc/manuals/annotationsketch.pdf
-  LIBGENOMETOOLS_DIRS:=$(LIBGENOMETOOLS_DIRS) src/annotationsketch
-  SKETCH_EXTRA_BINARIES := bin/examples/sketch_parsed \
-                           bin/examples/sketch_constructed
-else
-  EXP_CPPFLAGS += -DWITHOUT_CAIRO
-  STEST_FLAGS += -nocairo
-  CAIRO_FILTER_OUT:=src/gtlua/annotationsketch_lua.c \
+                $(shell $(OVERRIDE_PC_PATH) pkg-config --silence-errors --libs pango) \
