=== debian/changelog ===
genometools (1.5.5-1) unstable; urgency=low

  * New upstream release. 

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sat, 06 Jun 2015 09:49:49 +0000

genometools (1.5.4-2) experimental; urgency=low

  * Work towards reproducibility.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sun, 22 Mar 2015 08:09:07 +0000

genometools (1.5.4-1) experimental; urgency=low

  * New upstream release.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Fri, 12 Dec 2014 12:06:42 +0000
