=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,7 @@
 	rm -rf gtpython/build
 
 override_dh_auto_build:
-	dh_auto_build --parallel -- useshared=yes 64bit=$(64BIT) errorcheck=no all docs manuals
+	faketime "`dpkg-parsechangelog -S date`" dh_auto_build --parallel -- useshared=yes 64bit=$(64BIT) errorcheck=no all docs manuals
 
 override_dh_auto_test:
 	bin/gt -test
