## genometools 1.5.6

=== debian/changelog ===
genometools (1.5.6-1) unstable; urgency=low

  * New upstream release.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Mon, 22 Jun 2015 19:26:35 +0000

genometools (1.5.5-2) unstable; urgency=low

  * Disable faketime on hurd-i386 to fix FTBFS on that arch.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Wed, 10 Jun 2015 10:03:22 +0000
