=== debian/control ===
--- 
+++ 
@@ -28,8 +28,9 @@
                libxml2-utils,
                xsltproc,
                ruby,
-               docbook-xsl
-Standards-Version: 3.9.5
+               docbook-xsl,
+               faketime
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/genometools/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/genometools/trunk/
 Homepage: http://genometools.org
