=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,10 @@
   64BIT:=yes
 else
   64BIT:=no
+endif
+# check whether faketime can be used
+ifeq ($(shell faketime 'last friday' date > /dev/null 2> /dev/null; echo $$?),0)
+  FAKETIME:=faketime "`dpkg-parsechangelog -S date`" 
 endif
 
 %:
@@ -37,7 +41,7 @@
 	rm -rf gtpython/build
 
 override_dh_auto_build:
-	faketime "`dpkg-parsechangelog -S date`" dh_auto_build --parallel -- useshared=yes 64bit=$(64BIT) errorcheck=no all docs manuals
+	$(FAKETIME) dh_auto_build --parallel -- useshared=yes 64bit=$(64BIT) errorcheck=no all docs manuals
 
 override_dh_auto_test:
 	bin/gt -test
