## genometools 1.5.7

=== debian/changelog ===
genometools (1.5.7-5) unstable; urgency=medium

  * Try to load correct renamed .so file in Python bindings
  * Refresh patches
  * Use DEB_TARGET_ARCH to determine build archs

 -- Sascha Steinbiss <sascha@steinbiss.name>  Tue, 08 Dec 2015 00:42:49 +0000

genometools (1.5.7-4) unstable; urgency=medium

  * Fix builds on less popular platforms
    - Check if faketime works
    - Do no use -m32/-m64 on x32
  * Improve reproducibility
    - sort files to compile by name
  * Add autopkgtests

 -- Sascha Steinbiss <sascha@steinbiss.name>  Fri, 04 Dec 2015 22:18:11 +0000

genometools (1.5.7-3) unstable; urgency=low

  * d/control: remove obsolete dependency on libncurses5
    Closes: #804576

 -- Sascha Steinbiss <sascha@steinbiss.name>  Mon, 09 Nov 2015 19:15:29 +0000

genometools (1.5.7-2) unstable; urgency=low

  * disable parallel building

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sat, 10 Oct 2015 12:04:37 +0000

genometools (1.5.7-1) unstable; urgency=low

  * New upstream release.
  * d/rules: try ro improve reproducibility

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sun, 13 Sep 2015 08:22:39 +0000
