=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
                zlib1g-dev,
                libbz2-dev,
                libexpat1-dev,
-               libncurses5-dev,
                libsqlite3-dev,
                libbam-dev,
                libpango1.0-dev,
@@ -36,7 +35,7 @@
 Homepage: http://genometools.org
 
 Package: genometools
-Architecture: any
+Architecture: amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 m68k kfreebsd-i386 ppc64 sh4 x32
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          genometools-common
@@ -57,7 +56,6 @@
          libbz2-1.0,
          libexpat1,
          libpth20,
-         libncurses5,
          libsqlite3-0,
          libpango-1.0-0,
          libpangocairo-1.0-0,
@@ -68,7 +66,7 @@
  executable and/or library.
 
 Package: libgenometools0
-Architecture: any
+Architecture: amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 m68k kfreebsd-i386 ppc64 sh4 x32
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends},
@@ -84,7 +82,7 @@
  more.
 
 Package: libgenometools0-dev
-Architecture: any
+Architecture: amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 m68k kfreebsd-i386 ppc64 sh4 x32
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
@@ -109,7 +107,7 @@
  access, annotation visualization, and much more.
 
 Package: genometools-dbg
-Architecture: any
+Architecture: amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 m68k kfreebsd-i386 ppc64 sh4 x32
 Section: debug
 Priority: extra
 Depends: ${shlibs:Depends},
@@ -121,7 +119,7 @@
  to help communication with upstream developers.
 
 Package: python-genometools
-Architecture: any
+Architecture: all
 Section: python
 Depends: ${shlibs:Depends},
          ${misc:Depends},
