=== debian/rules ===
--- 
+++ 
@@ -4,24 +4,35 @@
 #export DH_VERBOSE=1
 export DESTDIR=$(CURDIR)/debian/tmp
 export DH_ALWAYS_EXCLUDE=.gitignore
+export PATH := $(CURDIR)/debian/strip-nondeterminism:$(PATH)
+export SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)
 
-BITS:=$(shell dpkg-architecture | grep DEB_BUILD_ARCH_BITS | cut -f 2 -d'=')
+DARCH:=$(shell dpkg-architecture | grep DEB_TARGET_ARCH | cut -f 2 -d'=')
+BITS:=$(shell dpkg-architecture | grep DEB_TARGET_ARCH_BITS | cut -f 2 -d'=')
+
+ifeq ($(DARCH),x32)
+  X32:=yes
+else
+  X32:=no
+endif
+
 ifeq ($(BITS),64)
   64BIT:=yes
 else
   64BIT:=no
 endif
+
 # check whether faketime can be used
 ifeq ($(shell faketime 'last friday' date > /dev/null 2> /dev/null; echo $$?),0)
-  FAKETIME:=faketime "`dpkg-parsechangelog -S date`" 
+  FAKETIME:=faketime -f "`TZ=UTC date -d @$(SOURCE_DATE_EPOCH) +'%Y-%m-%d %H:%M:%S'`"
 endif
 
 %:
-	dh $@ --parallel --with python2
+	dh $@ --with python2
 
 override_dh_auto_clean:
 	$(MAKE) cleanup
-	cd doc/manuals; make cleanup
+	cd doc/manuals; $(MAKE) cleanup
 	# should be deleted inside doc/manuals/Makefile
 	rm -f doc/manuals/annotationsketch.out \
 	      doc/manuals/api_reference.tex    \
@@ -41,15 +52,17 @@
 	rm -rf gtpython/build
 
 override_dh_auto_build:
-	$(FAKETIME) dh_auto_build --parallel -- useshared=yes 64bit=$(64BIT) errorcheck=no all docs manuals
+	$(FAKETIME) dh_auto_build -- useshared=yes x32=$(X32) 64bit=$(64BIT) errorcheck=no all docs manuals
 
 override_dh_auto_test:
 	bin/gt -test
 	cd testsuite; ./testsuite.rb -keywords 'gt_sketch and not gt_python and not gt_ruby' -threads 3
 
 override_dh_auto_install:
-	dh_auto_install -- installmanpages useshared=yes 64bit=$(64BIT) opt=no errorcheck=no prefix=$(DESTDIR)/usr
-	dh_auto_install --sourcedirectory=gtpython --destdir=$(CURDIR)/debian/python-genometools
+	dh_auto_install -- installmanpages useshared=yes \
+	  x32=$(X32) 64bit=$(64BIT) errorcheck=no prefix=$(DESTDIR)/usr
+	dh_auto_install --sourcedirectory=gtpython \
+	  --destdir=$(CURDIR)/debian/python-genometools
 
 override_dh_strip:
 	dh_strip --dbg-package=genometools-dbg
