=== debian/changelog ===
genometools (1.5.8-2) unstable; urgency=medium

  * Document migration to Git in d/control
  * Remove unused python-ctypes dependency
  * Update Standards-Version
  * Add dh-python to Build-Depends
  * Fix spelling

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sun, 07 Feb 2016 10:10:25 +0000

genometools (1.5.8-1) unstable; urgency=medium

  * New upstream release.
  * Ensure that /usr/share/genometools/* is complete.
  * Fix spelling.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Thu, 07 Jan 2016 22:18:31 +0000

genometools (1.5.7-7) unstable; urgency=medium

  * build API documentation reproducibly

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sat, 12 Dec 2015 19:13:40 +0000

genometools (1.5.7-6) unstable; urgency=medium

  * Reintroduce mips64el which was removed my mistake.
  * Fix detection of x32 build

 -- Sascha Steinbiss <sascha@steinbiss.name>  Wed, 09 Dec 2015 22:20:47 +0000
