=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,8 @@
 export PATH := $(CURDIR)/debian/strip-nondeterminism:$(PATH)
 export SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)
 
-DARCH:=$(shell dpkg-architecture | grep DEB_TARGET_ARCH | cut -f 2 -d'=')
-BITS:=$(shell dpkg-architecture | grep DEB_TARGET_ARCH_BITS | cut -f 2 -d'=')
+DARCH:=$(shell dpkg-architecture | fgrep DEB_TARGET_ARCH= | cut -f 2 -d'=')
+BITS:=$(shell dpkg-architecture | fgrep DEB_TARGET_ARCH_BITS= | cut -f 2 -d'=')
 
 ifeq ($(DARCH),x32)
   X32:=yes
