## genometools 1.5.8+ds

=== debian/changelog ===
genometools (1.5.8+ds-2) unstable; urgency=medium

  * Fix locale (LC_PAPER) for LaTeX runs (reproducibility).
  * Patch documentation generation to gather API symbols in
    deterministic order.
  * Do not delete two docu files in clean step.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Fri, 11 Mar 2016 16:10:42 +0000

genometools (1.5.8+ds-1) unstable; urgency=medium

  * Make sure external headers are used for compilation.
    Thanks to Justus Winter for the patch.
  * Add some more spelling fixes.
  * Exclude included third-party library code.
  * Use xz compression for repacked tarballs.
  * Use upstream distributions from GitHub.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Wed, 02 Mar 2016 15:43:46 +0000
