=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 9),
+               dh-python,
                liblua5.1-0-dev,
                lua-md5-dev,
                lua-filesystem-dev,
@@ -28,14 +29,15 @@
                xsltproc,
                ruby,
                docbook-xsl,
-               faketime
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/genometools/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/genometools/trunk/
+               faketime,
+               imagemagick
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/genometools.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/genometools.git
 Homepage: http://genometools.org
 
 Package: genometools
-Architecture: amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 m68k kfreebsd-i386 ppc64 sh4 x32
+Architecture: amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 m68k mips64el kfreebsd-i386 ppc64 sh4 x32
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          genometools-common
@@ -66,7 +68,7 @@
  executable and/or library.
 
 Package: libgenometools0
-Architecture: amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 m68k kfreebsd-i386 ppc64 sh4 x32
+Architecture: amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 m68k mips64el kfreebsd-i386 ppc64 sh4 x32
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends},
@@ -82,7 +84,7 @@
  more.
 
 Package: libgenometools0-dev
-Architecture: amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 m68k kfreebsd-i386 ppc64 sh4 x32
+Architecture: amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 m68k mips64el kfreebsd-i386 ppc64 sh4 x32
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
@@ -107,7 +109,7 @@
  access, annotation visualization, and much more.
 
 Package: genometools-dbg
-Architecture: amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 m68k kfreebsd-i386 ppc64 sh4 x32
+Architecture: amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 m68k mips64el kfreebsd-i386 ppc64 sh4 x32
 Section: debug
 Priority: extra
 Depends: ${shlibs:Depends},
@@ -124,7 +126,6 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python:Depends},
-         python-ctypes,
          libgenometools0
 Description: Python bindings for genometools
  Partial Python2 bindings for the GenomeTools library. Besides basic
