=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,7 @@
 	dh $@ --with python2
 
 override_dh_auto_clean:
+	mkdir obj
 	$(MAKE) cleanup
 	cd doc/manuals; $(MAKE) cleanup
 	# should be deleted inside doc/manuals/Makefile
@@ -45,11 +46,10 @@
 	      www/genometools.org/htdocs/images/parsed.png    \
 	      www/genometools.org/htdocs/images/constructed.png \
 	      doc/manuals/annotationsketch.pdf
-	rm -f www/genometools.org/htdocs/docs.html \
-	      www/genometools.org/htdocs/examples.html \
-	      www/genometools.org/htdocs/libgenometools.html \
-	      www/genometools.org/htdocs/tools/gt.html
+	rm -f www/genometools.org/htdocs/examples.html \
+	      www/genometools.org/htdocs/libgenometools.html
 	rm -rf gtpython/build
+	rm -rf obj
 
 override_dh_auto_build:
 	$(FAKETIME) dh_auto_build -- useshared=yes x32=$(X32) 64bit=$(64BIT) errorcheck=no all docs manuals
